package termites.agent;

import fr.lifl.jedi.model.Agent;

/**
 * The java class that represents the wood chip agent family in the termites nest simulation.
 * 
 * @author
 *	<table>
 *		<tr>
 *			<td>Yoann Kubera</td>
 *		</tr>
 *		<tr>
 *			<td><a href="http://www.lifl.fr/SMAC/">SMAC Team (Systèmes Multi-Agents et Comportement)</a></td>
 *		</tr>
 *		<tr>
 *			<td><a href="http://www.lifl.fr/">LIFL (Laboratoire d'Informatique Fondamentale de Lille)</a></td>
 *		</tr>
 *		<tr>
 *			<td><a href="http://www.univ-lille1.fr/">University of Lille, France</a></td>
 *		</tr>
 *  </table>
 * @version 
 * 	<table>
 *		<tr>
 *			<td>JEDI V 2.3</td>
 *		</tr>
 *		<tr>
 *			<td>Created the 5th Nov. 2009</td>
 *		</tr>
 *	</table>
 */
public class Wood extends Agent {
	/**
	 * Constructor of the Wood chip agent family.
	 */
	public Wood() {
		super(
			// Wood agents are represented in the environment by a 1 x 1 square.
			1, 1,
			// Wood chips do not perform any interaction in the simulation, thus their matrix line
			// is empty. In JEDI, it is represented either as an empty instance of the InteractionMatrixLine class,
			// or as a null value.
			null);
	}

	/**
	 * This method updates the state of the agent at the beginning 
	 * of every time step.
	 * In this model, this method is not used.
	 */
	public void update() {}
}
